Bug 229569 - devel/boost-all: Update to 1.68.0
Summary: devel/boost-all: Update to 1.68.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-office mailing list
URL: http://www.boost.org/users/history/ve...
Keywords: needs-qa, patch
: 230401 (view as bug list)
Depends on: 227427 229661 229697 229698 229699 229705 230392
Blocks: 232525
  Show dependency treegraph
 
Reported: 2018-07-06 15:35 UTC by Jan Beich
Modified: 2018-10-22 11:26 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (office)
jbeich: exp-run?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-07-06 15:35:49 UTC
See review D16165 for the patch. Each update breaks ABI.
Comment 1 commit-hook freebsd_committer 2018-07-09 13:24:32 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jul  9 13:24:17 UTC 2018
New revision: 474253
URL: https://svnweb.freebsd.org/changeset/ports/474253

Log:
  graphics/pcl-pointclouds: unbreak with boost 1.68

  visualization/src/pcl_visualizer.cpp:103:10: fatal error: 'boost/uuid/sha1.hpp' file not found
   #include <boost/uuid/sha1.hpp>
            ^~~~~~~~~~~~~~~~~~~~~

  PR:		229569

Changes:
  head/graphics/pcl-pointclouds/Makefile
  head/graphics/pcl-pointclouds/distinfo
Comment 2 commit-hook freebsd_committer 2018-07-09 13:26:36 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jul  9 13:26:13 UTC 2018
New revision: 474254
URL: https://svnweb.freebsd.org/changeset/ports/474254

Log:
  finance/ledger: unbreak with boost 1.68

  In file included from src/generate.cc:34:
  In file included from src/generate.h:45:
  In file included from src/iterators.h:45:
  In file included from src/xact.h:45:
  In file included from src/item.h:45:
  In file included from src/scope.h:45:
  In file included from src/op.h:45:
  In file included from src/expr.h:45:
  In file included from src/exprbase.h:57:
  src/utils.h:47:10: fatal error: 'boost/uuid/sha1.hpp' file not found
   #include <boost/uuid/sha1.hpp>
            ^

  PR:		229569

Changes:
  head/finance/ledger/Makefile
  head/finance/ledger/distinfo
Comment 3 commit-hook freebsd_committer 2018-07-09 13:26:38 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jul  9 13:26:24 UTC 2018
New revision: 474255
URL: https://svnweb.freebsd.org/changeset/ports/474255

Log:
  cad/kicad-devel: unbreak with boost 1.68

  3d-viewer/3d_cache/3d_cache.cpp:37:10: fatal error: 'boost/uuid/sha1.hpp' file not found
   #include <boost/uuid/sha1.hpp>
            ^

  PR:		229569

Changes:
  head/cad/kicad-devel/files/patch-3d-viewer_3d__cache_3d__cache.cpp
Comment 4 commit-hook freebsd_committer 2018-07-09 19:42:28 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jul  9 19:42:08 UTC 2018
New revision: 474294
URL: https://svnweb.freebsd.org/changeset/ports/474294

Log:
  multimedia/aegisub: unbreak with boost 1.68

  src/search_replace_engine.cpp:315:14: error: call to
        'distance' is ambiguous
                                  count += distance(
                                           ^~~~~~~~
  /usr/include/c++/v1/iterator:511:1: note: candidate function [with _InputIter =
        boost::u32regex_iterator<std::__1::__wrap_iter<const char *> >]
  distance(_InputIter __first, _InputIter __last)
  ^
  /usr/local/include/boost/iterator/distance.hpp:49:9: note: candidate function [with SinglePassIterator =
        boost::u32regex_iterator<std::__1::__wrap_iter<const char *> >]
          distance(SinglePassIterator first, SinglePassIterator last)
          ^

  PR:		229569

Changes:
  head/multimedia/aegisub/files/patch-src_search__replace__engine.cpp
Comment 5 commit-hook freebsd_committer 2018-07-09 19:42:30 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jul  9 19:42:19 UTC 2018
New revision: 474295
URL: https://svnweb.freebsd.org/changeset/ports/474295

Log:
  net/kea: unbreak with boost 1.68

  libdhcp++.cc:420:24: error: call to 'distance' is ambiguous
              num_defs = distance(range.first, range.second);
                         ^~~~~~~~
  libdhcp++.cc:428:24: error: call to 'distance' is ambiguous
              num_defs = distance(range.first, range.second);
                         ^~~~~~~~
  libdhcp++.cc:537:24: error: call to 'distance' is ambiguous
              num_defs = distance(range.first, range.second);
                         ^~~~~~~~
  libdhcp++.cc:545:24: error: call to 'distance' is ambiguous
              num_defs = distance(range.first, range.second);
                         ^~~~~~~~
  libdhcp++.cc:637:31: error: call to 'distance' is ambiguous
              size_t num_defs = distance(range.first, range.second);
                                ^~~~~~~~
  libdhcp++.cc:743:35: error: call to 'distance' is ambiguous
                  size_t num_defs = distance(range.first, range.second);
                                    ^~~~~~~~
  /usr/include/c++/v1/iterator:511:1: note: candidate function [with _InputIter = boost::multi_index::detail::hashed_index_iterator<boost::multi_index::detail::hashed_index_node<boost::multi_index::detail::hashed_index_node<boost::multi_index::detail::index_node_base<boost::shared_ptr<isc::dhcp::OptionDefinition>, std::__1::allocator<boost::shared_ptr<isc::dhcp::OptionDefinition> > >, boost::multi_index::detail::hashed_non_unique_tag>, boost::multi_index::detail::hashed_non_unique_tag>, boost::multi_index::detail::bucket_array<std::__1::allocator<boost::shared_ptr<isc::dhcp::OptionDefinition> > >, boost::multi_index::detail::hashed_index_global_iterator_tag>]
  distance(_InputIter __first, _InputIter __last)
  ^
  /usr/local/include/boost/iterator/distance.hpp:49:9: note: candidate function [with SinglePassIterator = boost::multi_index::detail::hashed_index_iterator<boost::multi_index::detail::hashed_index_node<boost::multi_index::detail::hashed_index_node<boost::multi_index::detail::index_node_base<boost::shared_ptr<isc::dhcp::OptionDefinition>, std::__1::allocator<boost::shared_ptr<isc::dhcp::OptionDefinition> > >, boost::multi_index::detail::hashed_non_unique_tag>, boost::multi_index::detail::hashed_non_unique_tag>, boost::multi_index::detail::bucket_array<std::__1::allocator<boost::shared_ptr<isc::dhcp::OptionDefinition> > >, boost::multi_index::detail::hashed_index_global_iterator_tag>]
          distance(SinglePassIterator first, SinglePassIterator last)
          ^

  PR:		229569

Changes:
  head/net/kea/files/patch-src_lib_dhcp_libdhcp++.cc
Comment 6 commit-hook freebsd_committer 2018-07-09 19:43:33 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jul  9 19:42:28 UTC 2018
New revision: 474296
URL: https://svnweb.freebsd.org/changeset/ports/474296

Log:
  graphics/luxrender: unbreak with boost 1.68

  accelerators/bvhaccel.cpp:149:19: error: call to 'distance' is ambiguous
                          u_int middle = distance(list.begin(), it);
                                         ^~~~~~~~
  /usr/include/c++/v1/iterator:511:1: note: candidate function [with _InputIter = std::__1::__wrap_iter<boost::shared_ptr<lux::BVHAccelTreeNode> *>]
  distance(_InputIter __first, _InputIter __last)
  ^
  /usr/local/include/boost/iterator/distance.hpp:49:9: note: candidate function [with SinglePassIterator = std::__1::__wrap_iter<boost::shared_ptr<lux::BVHAccelTreeNode> *>]
          distance(SinglePassIterator first, SinglePassIterator last)
          ^

  PR:		229569

Changes:
  head/graphics/luxrender/files/patch-accelerators_bvhaccel.cpp
Comment 7 commit-hook freebsd_committer 2018-07-09 19:43:35 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jul  9 19:42:39 UTC 2018
New revision: 474297
URL: https://svnweb.freebsd.org/changeset/ports/474297

Log:
  www/anyterm: unbreak with boost 1.68

  ../src/Anyterm.cc: In member function 'Anyterm::response_t Anyterm::process_request(const pbe::HttpRequest&)':
  ../src/Anyterm.cc:174:74: error: call of overloaded 'distance(std::map<SessionId, boost::shared_ptr<Session> >::const_iterator, std::map<SessionId, boost::shared_ptr<Session> >::const_iterator)' is ambiguous
           int n_sessions = distance(sessions_rd->begin(),sessions_rd->end());
                                                                            ^
  In file included from /usr/local/lib/gcc6/include/c++/bits/stl_algobase.h:66:0,
                   from /usr/local/lib/gcc6/include/c++/bits/stl_tree.h:63,
                   from /usr/local/lib/gcc6/include/c++/map:60,
                   from ../src/Anyterm.hh:25,
                   from ../src/Anyterm.cc:20:
  /usr/local/lib/gcc6/include/c++/bits/stl_iterator_base_funcs.h:135:5: note: candidate: typename std::iterator_traits<_Iterator>::difference_type std::distance(_InputIterator, _InputIterator) [with _InputIterator = std::_Rb_tree_const_iterator<std::pair<const SessionId, boost::shared_ptr<Session> > >; typename std::iterator_traits<_Iterator>::difference_type = int]
       distance(_InputIterator __first, _InputIterator __last)
       ^~~~~~~~
  In file included from /usr/local/include/boost/range/distance.hpp:18:0,
                   from /usr/local/include/boost/range/functions.hpp:21,
                   from /usr/local/include/boost/range/iterator_range_core.hpp:38,
                   from /usr/local/include/boost/lexical_cast.hpp:30,
                   from ../libpbe/include/FileDescriptor.hh:26,
                   from ../src/Activity.hh:27,
                   from ../src/Session.hh:39,
                   from ../src/Anyterm.hh:32,
                   from ../src/Anyterm.cc:20:
  /usr/local/include/boost/iterator/distance.hpp:49:9: note: candidate: typename boost::iterators::iterator_difference<Iterator>::type boost::iterators::distance_adl_barrier::distance(SinglePassIterator, SinglePassIterator) [with SinglePassIterator = std::_Rb_tree_const_iterator<std::pair<const SessionId, boost::shared_ptr<Session> > >; typename boost::iterators::iterator_difference<Iterator>::type = int]
           distance(SinglePassIterator first, SinglePassIterator last)
           ^~~~~~~~

  PR:		229569

Changes:
  head/www/anyterm/files/patch-src_Anyterm.cc
Comment 8 commit-hook freebsd_committer 2018-07-10 18:51:15 UTC
A commit references this bug:

Author: jbeich
Date: Tue Jul 10 18:50:19 UTC 2018
New revision: 474401
URL: https://svnweb.freebsd.org/changeset/ports/474401

Log:
  sysutils/osquery: unbreak with boost 1.68

  osquery/core/conversions.cpp:19:10: fatal error: 'boost/uuid/sha1.hpp' file not found
   #include <boost/uuid/sha1.hpp>
            ^~~~~~~~~~~~~~~~~~~~~

  PR:		229569

Changes:
  head/sysutils/osquery/Makefile
  head/sysutils/osquery/distinfo
Comment 9 Jan Beich freebsd_committer 2018-07-10 23:39:41 UTC
### /usr/local/etc/poudriere.d/PR229569-make.conf ###
OPTIONS_SET                     += BOOST
audio_pms_SET                   += REGEX
databases_mariadb100-server_SET += OQGRAPH
databases_mariadb101-server_SET += OQGRAPH
databases_mariadb102-server_SET += OQGRAPH
databases_mariadb103-server_SET += OQGRAPH
devel_blitz_SET                 += SERIALIZATION
graphics_vigra_SET              += NUMPY
science_tfel_SET                += PYTHON
textproc_kiss-templates_SET     += TEST
www_nghttp2_SET                 += ASIO
Comment 10 Jan Beich freebsd_committer 2018-07-11 03:27:13 UTC
After Beta exp-run the plan is to minimize bustage or file bugs where help is required. Once Release happens another exp-run is due and the remaining bustage can be marked as BROKEN (hopefully, less than 10). By that time most maintainers are gonna time out, anyway.
Comment 11 commit-hook freebsd_committer 2018-07-11 11:01:05 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jul 11 11:00:30 UTC 2018
New revision: 474435
URL: https://svnweb.freebsd.org/changeset/ports/474435

Log:
  net/libcmis: unbreak with boost 1.68

  xml-utils.cxx:34:10: fatal error: 'boost/uuid/sha1.hpp' file not found
   #include <boost/uuid/sha1.hpp>
            ^~~~~~~~~~~~~~~~~~~~~

  PR:		229569

Changes:
  head/net/libcmis/files/patch-src_libcmis_xml-utils.cxx
Comment 12 commit-hook freebsd_committer 2018-07-11 12:50:38 UTC
A commit references this bug:

Author: jbeich
Date: Wed Jul 11 12:50:16 UTC 2018
New revision: 474442
URL: https://svnweb.freebsd.org/changeset/ports/474442

Log:
  graphics/mapnik: unbreak with boost 1.68

  In file included from src/save_map.cpp:40:
  include/mapnik/image_filter.hpp:166:23: error: no member named 'bits32f' in namespace 'boost::gil'
      using boost::gil::bits32f;
            ~~~~~~~~~~~~^
  include/mapnik/image_filter.hpp:168:5: error: unknown type name 'bits32f'
      bits32f out_value =
      ^
  In file included from deps/agg/src/agg_pixfmt_rgba.cpp:7:
  deps/boost/gil/extension/toolbox/hsv.hpp:47:35: error: too few arguments provided to function-like macro invocation
  GIL_DEFINE_ALL_TYPEDEFS( 32f, hsv )
                                    ^
  /usr/local/include/boost/gil/typedefs.hpp:89:9: note: macro 'GIL_DEFINE_ALL_TYPEDEFS' defined here
          ^

  PR:		229569

Changes:
  head/graphics/mapnik/Makefile
  head/graphics/mapnik/distinfo
Comment 13 commit-hook freebsd_committer 2018-07-12 23:22:44 UTC
A commit references this bug:

Author: jbeich
Date: Thu Jul 12 23:21:47 UTC 2018
New revision: 474542
URL: https://svnweb.freebsd.org/changeset/ports/474542

Log:
  science/pulseview: unbreak with boost 1.68 on FreeBSD 10.*

  After https://github.com/boostorg/multiprecision/commit/3cedeeab3048
  building with Clang 3.4.1 fails like the following:

  In file included from pv/views/trace/view.cpp:26:
  In file included from /usr/include/c++/v1/algorithm:628:
  In file included from /usr/include/c++/v1/memory:607:
  /usr/include/c++/v1/tuple:187:73: error: reference to type 'const boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0>' requires an initializer
               _NOEXCEPT_(is_nothrow_default_constructible<_Hp>::value) : value()
                                                                          ^
  /usr/include/c++/v1/type_traits:2359:44: note: in instantiation of member function 'std::__1::__tuple_leaf<1, const boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &, false>::__tuple_leaf' requested here
  typename __select_2nd<decltype(_VSTD::move(_Tp(_VSTD::declval<_Args>()...))), true_type>::type
                                             ^
  /usr/include/c++/v1/type_traits:2360:1: note: while substituting deduced template arguments into function template '__is_constructible_test' [with _Tp = std::__1::__tuple_leaf<1, const boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &, false>, _Args = <>]
  __is_constructible_test(_Tp&&, _Args&& ...);
  ^
  /usr/include/c++/v1/type_traits:2419:14: note: in instantiation of template class 'std::__1::__libcpp_is_constructible<false, std::__1::__tuple_leaf<1, const boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &, false>>' requested here
      : public __libcpp_is_constructible<is_scalar<_Tp>::value || is_reference<_Tp>::value,
               ^
  /usr/include/c++/v1/type_traits:2445:14: note: in instantiation of template class 'std::__1::__is_constructible_void_check<false, std::__1::__tuple_leaf<1, const boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &, false>>' requested here
      : public __is_constructible_void_check<__contains_void<_Tp, _Args...>::value
               ^
  /usr/include/c++/v1/type_traits:2653:14: note: in instantiation of template class 'std::__1::is_constructible<std::__1::__tuple_leaf<1, const boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &, false>>' requested here
      : public is_constructible<_Tp>
               ^
  /usr/local/include/boost/multiprecision/number.hpp:645:119: note: (skipping 4 contexts in backtrace; use -ftemplate-backtrace-limit=0 to see all)
     template <class T, class = typename boost::disable_if_c<std::is_constructible<T, self_type const&>::value || !std::is_default_constructible<T>::value, T>::type>
                                                                                                                        ^
  /usr/include/c++/v1/tuple:882:12: note: in instantiation of function template specialization 'std::__1::tuple<pv::views::trace::View &, const boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &, QString &&>::tuple<pv::views::trace::View &, const boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &, QString, false>' requested here
      return tuple<_Tp&&...>(_VSTD::forward<_Tp>(__t)...);
             ^
  /usr/include/c++/v1/memory:3705:27: note: in instantiation of function template specialization 'std::__1::forward_as_tuple<pv::views::trace::View &, const boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &, QString>' requested here
                     _VSTD::forward_as_tuple(_VSTD::forward<_Args>(__args)...)) {}
                            ^
  /usr/include/c++/v1/memory:4280:26: note: in instantiation of function template specialization 'std::__1::__shared_ptr_emplace<pv::views::trace::Flag, std::__1::allocator<pv::views::trace::Flag> >::__shared_ptr_emplace<pv::views::trace::View &, const boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &, QString>' requested here
      ::new(__hold2.get()) _CntrlBlk(__a2, _VSTD::forward<_Args>(__args)...);
                           ^
  /usr/include/c++/v1/memory:4644:29: note: in instantiation of function template specialization 'std::__1::shared_ptr<pv::views::trace::Flag>::make_shared<pv::views::trace::View &, const boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &, QString>' requested here
      return shared_ptr<_Tp>::make_shared(_VSTD::forward<_Args>(__args)...);
                              ^
  pv/views/trace/view.cpp:641:19: note: in instantiation of function template specialization 'std::__1::make_shared<pv::views::trace::Flag, pv::views::trace::View &, const boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &, QString>' requested here
          flags_.push_back(make_shared<Flag>(*this, time,
                           ^
  In file included from pv/views/trace/view.cpp:26:
  In file included from /usr/include/c++/v1/algorithm:628:
  In file included from /usr/include/c++/v1/memory:607:
  /usr/include/c++/v1/tuple:188:9: error: static_assert failed "Attempted to default construct a reference element in a tuple"
         {static_assert(!is_reference<_Hp>::value,
          ^             ~~~~~~~~~~~~~~~~~~~~~~~~~
  /usr/include/c++/v1/tuple:187:73: error: reference to type 'boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0>' requires an initializer
               _NOEXCEPT_(is_nothrow_default_constructible<_Hp>::value) : value()
                                                                          ^
  /usr/include/c++/v1/type_traits:2359:44: note: in instantiation of member function 'std::__1::__tuple_leaf<1, boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &, false>::__tuple_leaf' requested here
  typename __select_2nd<decltype(_VSTD::move(_Tp(_VSTD::declval<_Args>()...))), true_type>::type
                                             ^
  /usr/include/c++/v1/type_traits:2360:1: note: while substituting deduced template arguments into function template '__is_constructible_test' [with _Tp = std::__1::__tuple_leaf<1, boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &, false>, _Args = <>]
  __is_constructible_test(_Tp&&, _Args&& ...);
  ^
  /usr/include/c++/v1/type_traits:2419:14: note: in instantiation of template class 'std::__1::__libcpp_is_constructible<false, std::__1::__tuple_leaf<1, boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &, false>>' requested here
      : public __libcpp_is_constructible<is_scalar<_Tp>::value || is_reference<_Tp>::value,
               ^
  /usr/include/c++/v1/type_traits:2445:14: note: in instantiation of template class 'std::__1::__is_constructible_void_check<false, std::__1::__tuple_leaf<1, boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &, false>>' requested here
      : public __is_constructible_void_check<__contains_void<_Tp, _Args...>::value
               ^
  /usr/include/c++/v1/type_traits:2653:14: note: in instantiation of template class 'std::__1::is_constructible<std::__1::__tuple_leaf<1, boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &, false>>' requested here
      : public is_constructible<_Tp>
               ^
  /usr/local/include/boost/multiprecision/number.hpp:645:119: note: (skipping 4 contexts in backtrace; use -ftemplate-backtrace-limit=0 to see all)
     template <class T, class = typename boost::disable_if_c<std::is_constructible<T, self_type const&>::value || !std::is_default_constructible<T>::value, T>::type>
                                                                                                                        ^
  /usr/include/c++/v1/tuple:882:12: note: in instantiation of member function 'std::__1::tuple<pv::views::trace::View &, boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &>::tuple' requested here
      return tuple<_Tp&&...>(_VSTD::forward<_Tp>(__t)...);
             ^
  /usr/include/c++/v1/memory:3705:27: note: in instantiation of function template specialization 'std::__1::forward_as_tuple<pv::views::trace::View &, boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &>' requested here
                     _VSTD::forward_as_tuple(_VSTD::forward<_Args>(__args)...)) {}
                            ^
  /usr/include/c++/v1/memory:4280:26: note: in instantiation of function template specialization 'std::__1::__shared_ptr_emplace<pv::views::trace::TriggerMarker, std::__1::allocator<pv::views::trace::TriggerMarker> >::__shared_ptr_emplace<pv::views::trace::View &, boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &>' requested here
      ::new(__hold2.get()) _CntrlBlk(__a2, _VSTD::forward<_Args>(__args)...);
                           ^
  /usr/include/c++/v1/memory:4644:29: note: in instantiation of function template specialization 'std::__1::shared_ptr<pv::views::trace::TriggerMarker>::make_shared<pv::views::trace::View &, boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &>' requested here
      return shared_ptr<_Tp>::make_shared(_VSTD::forward<_Args>(__args)...);
                              ^
  pv/views/trace/view.cpp:696:29: note: in instantiation of function template specialization 'std::__1::make_shared<pv::views::trace::TriggerMarker, pv::views::trace::View &, boost::multiprecision::number<boost::multiprecision::backends::cpp_dec_float<24, int, void>, 0> &>' requested here
          trigger_markers_.push_back(make_shared<TriggerMarker>(*this, location));
                                     ^
  In file included from pv/views/trace/view.cpp:26:
  In file included from /usr/include/c++/v1/algorithm:628:
  In file included from /usr/include/c++/v1/memory:607:
  /usr/include/c++/v1/tuple:188:9: error: static_assert failed "Attempted to default construct a reference element in a tuple"
         {static_assert(!is_reference<_Hp>::value,
          ^             ~~~~~~~~~~~~~~~~~~~~~~~~~

  PR:		229569

Changes:
  head/science/pulseview/Makefile
Comment 14 commit-hook freebsd_committer 2018-07-14 23:15:41 UTC
A commit references this bug:

Author: jbeich
Date: Sat Jul 14 23:14:46 UTC 2018
New revision: 474652
URL: https://svnweb.freebsd.org/changeset/ports/474652

Log:
  net-p2p/qtum: unbreak with boost 1.68 on FreeBSD 10.*

  After https://github.com/boostorg/multiprecision/commit/3cedeeab3048
  building with Clang 3.4.1 fails like the following:

  In file included from cpp-ethereum/libethereum/State.cpp:22:
  In file included from cpp-ethereum/libethereum/State.h:24:
  In file included from /usr/include/c++/v1/array:108:
  In file included from /usr/include/c++/v1/algorithm:628:
  In file included from /usr/include/c++/v1/memory:607:
  /usr/include/c++/v1/tuple:187:73: error: reference to type 'boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0>' requires an initializer
               _NOEXCEPT_(is_nothrow_default_constructible<_Hp>::value) : value()
                                                                          ^
  /usr/include/c++/v1/type_traits:2359:44: note: in instantiation of member function 'std::__1::__tuple_leaf<0, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, false>::__tuple_leaf' requested here
  typename __select_2nd<decltype(_VSTD::move(_Tp(_VSTD::declval<_Args>()...))), true_type>::type
                                             ^
  /usr/include/c++/v1/type_traits:2360:1: note: while substituting deduced template arguments into function template '__is_constructible_test' [with _Tp = std::__1::__tuple_leaf<0, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, false>, _Args = <>]
  __is_constructible_test(_Tp&&, _Args&& ...);
  ^
  /usr/include/c++/v1/type_traits:2419:14: note: in instantiation of template class 'std::__1::__libcpp_is_constructible<false, std::__1::__tuple_leaf<0, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, false>>' requested here
      : public __libcpp_is_constructible<is_scalar<_Tp>::value || is_reference<_Tp>::value,
               ^
  /usr/include/c++/v1/type_traits:2445:14: note: in instantiation of template class 'std::__1::__is_constructible_void_check<false, std::__1::__tuple_leaf<0, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, false>>' requested here
      : public __is_constructible_void_check<__contains_void<_Tp, _Args...>::value
               ^
  /usr/include/c++/v1/type_traits:2653:14: note: in instantiation of template class 'std::__1::is_constructible<std::__1::__tuple_leaf<0, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, false>>' requested here
      : public is_constructible<_Tp>
               ^
  /usr/local/include/boost/multiprecision/number.hpp:645:119: note: (skipping 1 context in backtrace; use -ftemplate-backtrace-limit=0 to see all)
     template <class T, class = typename boost::disable_if_c<std::is_constructible<T, self_type const&>::value || !std::is_default_constructible<T>::value, T>::type>
                                                                                                                        ^
  /usr/local/include/boost/multiprecision/number.hpp:647:13: note: in instantiation of default argument for 'operator type-parameter-0-0<std::__1::__tuple_leaf<0, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, false> >' required here
     explicit operator T ()const
              ^~~~~~~~~~~~~~~~~~
  /usr/local/include/boost/multiprecision/number.hpp:647:13: note: while substituting deduced template arguments into function template 'operator type-parameter-0-0' [with T = std::__1::__tuple_leaf<0, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, false>, $1 = <no value>]
     explicit operator T ()const
              ^
  /usr/include/c++/v1/tuple:573:15: note: in instantiation of function template specialization 'std::__1::__tuple_impl<std::__1::__tuple_indices<0, 1, 2, 3, 4>, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, dev::FixedHash<32> &&, dev::FixedHash<32> &&, dev::eth::Account::Changedness &&>::__tuple_impl<0, 1, 2, 3, 4, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, dev::FixedHash<32> &&, dev::FixedHash<32> &&, dev::eth::Account::Changedness &&, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0>, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0>
 , dev::FixedHash<32>, dev::FixedHash<32>, dev::eth::Account::Changedness>' requested here
              : base_(typename __make_tuple_indices<sizeof...(_Up)>::type(),
                ^
  /usr/include/c++/v1/tuple:882:12: note: in instantiation of function template specialization 'std::__1::tuple<boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, dev::FixedHash<32> &&, dev::FixedHash<32> &&, dev::eth::Account::Changedness &&>::tuple<boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0>, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0>, dev::FixedHash<32>, dev::FixedHash<32>, dev::eth::Account::Changedness, false>' requested here
      return tuple<_Tp&&...>(_VSTD::forward<_Tp>(__t)...);
             ^
  cpp-ethereum/libethereum/State.cpp:186:8: note: in instantiation of function template specialization 'std::__1::forward_as_tuple<boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0>, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0>, dev::FixedHash<32>, dev::FixedHash<32>, dev::eth::Account::Changedness>' requested here
                  std::forward_as_tuple(state[0].toInt<u256>(), state[1].toInt<u256>(), state[2].toHash<h256>(), state[3].toHash<h256>(), Account::Unchanged)
                       ^
  In file included from cpp-ethereum/libethereum/State.cpp:22:
  In file included from cpp-ethereum/libethereum/State.h:24:
  In file included from /usr/include/c++/v1/array:108:
  In file included from /usr/include/c++/v1/algorithm:628:
  In file included from /usr/include/c++/v1/memory:607:
  /usr/include/c++/v1/tuple:188:9: error: static_assert failed "Attempted to default construct a reference element in a tuple"
         {static_assert(!is_reference<_Hp>::value,
          ^             ~~~~~~~~~~~~~~~~~~~~~~~~~
  /usr/include/c++/v1/tuple:187:73: error: reference to type 'boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0>' requires an initializer
               _NOEXCEPT_(is_nothrow_default_constructible<_Hp>::value) : value()
                                                                          ^
  /usr/include/c++/v1/type_traits:2359:44: note: in instantiation of member function 'std::__1::__tuple_leaf<1, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, false>::__tuple_leaf' requested here
  typename __select_2nd<decltype(_VSTD::move(_Tp(_VSTD::declval<_Args>()...))), true_type>::type
                                             ^
  /usr/include/c++/v1/type_traits:2360:1: note: while substituting deduced template arguments into function template '__is_constructible_test' [with _Tp = std::__1::__tuple_leaf<1, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, false>, _Args = <>]
  __is_constructible_test(_Tp&&, _Args&& ...);
  ^
  /usr/include/c++/v1/type_traits:2419:14: note: in instantiation of template class 'std::__1::__libcpp_is_constructible<false, std::__1::__tuple_leaf<1, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, false>>' requested here
      : public __libcpp_is_constructible<is_scalar<_Tp>::value || is_reference<_Tp>::value,
               ^
  /usr/include/c++/v1/type_traits:2445:14: note: in instantiation of template class 'std::__1::__is_constructible_void_check<false, std::__1::__tuple_leaf<1, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, false>>' requested here
      : public __is_constructible_void_check<__contains_void<_Tp, _Args...>::value
               ^
  /usr/include/c++/v1/type_traits:2653:14: note: in instantiation of template class 'std::__1::is_constructible<std::__1::__tuple_leaf<1, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, false>>' requested here
      : public is_constructible<_Tp>
               ^
  /usr/local/include/boost/multiprecision/number.hpp:645:119: note: (skipping 1 context in backtrace; use -ftemplate-backtrace-limit=0 to see all)
     template <class T, class = typename boost::disable_if_c<std::is_constructible<T, self_type const&>::value || !std::is_default_constructible<T>::value, T>::type>
                                                                                                                        ^
  /usr/local/include/boost/multiprecision/number.hpp:647:13: note: in instantiation of default argument for 'operator type-parameter-0-0<std::__1::__tuple_leaf<1, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, false> >' required here
     explicit operator T ()const
              ^~~~~~~~~~~~~~~~~~
  /usr/local/include/boost/multiprecision/number.hpp:647:13: note: while substituting deduced template arguments into function template 'operator type-parameter-0-0' [with T = std::__1::__tuple_leaf<1, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, false>, $1 = <no value>]
     explicit operator T ()const
              ^
  /usr/include/c++/v1/tuple:573:15: note: in instantiation of function template specialization 'std::__1::__tuple_impl<std::__1::__tuple_indices<0, 1, 2, 3, 4>, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, dev::FixedHash<32> &&, dev::FixedHash<32> &&, dev::eth::Account::Changedness &&>::__tuple_impl<0, 1, 2, 3, 4, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, dev::FixedHash<32> &&, dev::FixedHash<32> &&, dev::eth::Account::Changedness &&, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0>, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0>
 , dev::FixedHash<32>, dev::FixedHash<32>, dev::eth::Account::Changedness>' requested here
              : base_(typename __make_tuple_indices<sizeof...(_Up)>::type(),
                ^
  /usr/include/c++/v1/tuple:882:12: note: in instantiation of function template specialization 'std::__1::tuple<boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0> &&, dev::FixedHash<32> &&, dev::FixedHash<32> &&, dev::eth::Account::Changedness &&>::tuple<boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0>, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0>, dev::FixedHash<32>, dev::FixedHash<32>, dev::eth::Account::Changedness, false>' requested here
      return tuple<_Tp&&...>(_VSTD::forward<_Tp>(__t)...);
             ^
  cpp-ethereum/libethereum/State.cpp:186:8: note: in instantiation of function template specialization 'std::__1::forward_as_tuple<boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0>, boost::multiprecision::number<boost::multiprecision::backends::cpp_int_backend<256, 256, 0, 0, void>, 0>, dev::FixedHash<32>, dev::FixedHash<32>, dev::eth::Account::Changedness>' requested here
                  std::forward_as_tuple(state[0].toInt<u256>(), state[1].toInt<u256>(), state[2].toHash<h256>(), state[3].toHash<h256>(), Account::Unchanged)
                       ^
  In file included from cpp-ethereum/libethereum/State.cpp:22:
  In file included from cpp-ethereum/libethereum/State.h:24:
  In file included from /usr/include/c++/v1/array:108:
  In file included from /usr/include/c++/v1/algorithm:628:
  In file included from /usr/include/c++/v1/memory:607:
  /usr/include/c++/v1/tuple:188:9: error: static_assert failed "Attempted to default construct a reference element in a tuple"
         {static_assert(!is_reference<_Hp>::value,
          ^             ~~~~~~~~~~~~~~~~~~~~~~~~~

  PR:		229569
  Reported by:	antoine (via exp-run)

Changes:
  head/net-p2p/qtum/Makefile
Comment 15 commit-hook freebsd_committer 2018-07-14 23:15:43 UTC
A commit references this bug:

Author: jbeich
Date: Sat Jul 14 23:15:01 UTC 2018
New revision: 474653
URL: https://svnweb.freebsd.org/changeset/ports/474653

Log:
  graphics/luxrender14: unbreak with boost 1.68

  accelerators/bvhaccel.cpp:149:19: error: call to 'distance' is ambiguous
                          u_int middle = distance(list.begin(), it);
                                         ^~~~~~~~
  /usr/include/c++/v1/iterator:511:1: note: candidate function [with _InputIter = std::__1::__wrap_iter<boost::shared_ptr<lux::BVHAccelTreeNode> *>]
  distance(_InputIter __first, _InputIter __last)
  ^
  /usr/local/include/boost/iterator/distance.hpp:49:9: note: candidate function [with SinglePassIterator = std::__1::__wrap_iter<boost::shared_ptr<lux::BVHAccelTreeNode> *>]
          distance(SinglePassIterator first, SinglePassIterator last)
          ^

  PR:		229569
  Reported by:	antoine (via exp-run)

Changes:
  head/graphics/luxrender14/files/patch-accelerators_bvhaccel.cpp
Comment 18 Jan Beich freebsd_committer 2018-08-03 17:59:49 UTC
Antoine, can you queue another exp-run? Many regressions since Beta 1 have been fixed in RC1. Actual release is expected on 2018-08-08 but unlikely to include risky changes (if any) since RC1.
Comment 19 Jan Beich freebsd_committer 2018-08-08 11:32:06 UTC
*** Bug 230401 has been marked as a duplicate of this bug. ***
Comment 20 Jan Beich freebsd_committer 2018-08-09 06:59:42 UTC
Release has the same checksum as RC1. I've looked at RC1 exp-run and marked 2 ports BROKEN.
Comment 21 commit-hook freebsd_committer 2018-08-09 06:59:53 UTC
A commit references this bug:

Author: jbeich
Date: Thu Aug  9 06:58:49 UTC 2018
New revision: 476723
URL: https://svnweb.freebsd.org/changeset/ports/476723

Log:
  devel/boost-*: update to 1.68.0

  - Switch to C++14 for libboost_system to support C++14 consumers

  Changes:	http://www.boost.org/users/history/version_1_68_0.html
  PR:		229569
  Exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D16165

Changes:
  head/archivers/innoextract/Makefile
  head/archivers/tardy/Makefile
  head/astro/libkgeomap/Makefile
  head/astro/libkgeomap-kde4/Makefile
  head/astro/libosmium/Makefile
  head/audio/ardour/Makefile
  head/audio/ardour5/Makefile
  head/audio/clementine-player/Makefile
  head/audio/cpp-xmms2/Makefile
  head/audio/csound6/Makefile
  head/audio/faust-lv2/Makefile
  head/audio/guitarix-lv2/Makefile
  head/audio/mp3plot/Makefile
  head/audio/mumble/Makefile
  head/audio/murmur/Makefile
  head/audio/musicpd/Makefile
  head/audio/ncmpcpp/Makefile
  head/audio/patchage/Makefile
  head/audio/pms/Makefile
  head/audio/py-tagpy/Makefile
  head/audio/raul/Makefile
  head/audio/sc3-plugins/Makefile
  head/audio/sorcer-lv2/Makefile
  head/audio/supercollider/Makefile
  head/biology/canu/Makefile
  head/biology/pbbam/Makefile
  head/biology/pbcopper/Makefile
  head/biology/seqan-apps/Makefile
  head/biology/unanimity/Makefile
  head/cad/freecad/Makefile
  head/cad/fritzing/Makefile
  head/cad/kicad/Makefile
  head/cad/kicad-devel/Makefile
  head/cad/librecad/Makefile
  head/cad/linuxcnc-devel/Makefile
  head/cad/openscad/Makefile
  head/cad/openscad-devel/Makefile
  head/chinese/librime/Makefile
  head/comms/fldigi/Makefile
  head/comms/gnuradio/Makefile
  head/comms/gqrx/Makefile
  head/comms/gr-osmosdr/Makefile
  head/comms/uhd/Makefile
  head/comms/usrp/Makefile
  head/converters/osm2pgrouting/Makefile
  head/converters/osm2pgsql/Makefile
  head/databases/akonadi/Makefile
  head/databases/akonadi-kde4/Makefile
  head/databases/clickhouse/Makefile
  head/databases/foundationdb/Makefile
  head/databases/galera/Makefile
  head/databases/grass7/Makefile
  head/databases/hamsterdb/Makefile
  head/databases/mariadb100-server/Makefile
  head/databases/mariadb101-server/Makefile
  head/databases/mariadb102-server/Makefile
  head/databases/mariadb103-server/Makefile
  head/databases/mariadb55-server/Makefile
  head/databases/mongodb/Makefile
  head/databases/mongodb34/Makefile
  head/databases/mongodb36/Makefile
  head/databases/mysql-connector-c++/Makefile
  head/databases/pgrouting/Makefile
  head/databases/php5-pdo_cassandra/Makefile
  head/databases/sfcgal/Makefile
  head/databases/soci/Makefile
  head/databases/speedtables/Makefile
  head/databases/vsqlite/Makefile
  head/deskutils/easystroke/Makefile
  head/deskutils/gnote/Makefile
  head/deskutils/kdepim-kde4/Makefile
  head/deskutils/kdepim-runtime/Makefile
  head/deskutils/kdepim-runtime-kde4/Makefile
  head/deskutils/kdepimlibs-kde4/Makefile
  head/deskutils/launchy/Makefile
  head/deskutils/libkdepim/Makefile
  head/deskutils/pinot/Makefile
  head/devel/RStudio/Makefile
  head/devel/avro-cpp/Makefile
  head/devel/blitz/Makefile
  head/devel/boost-all/common.mk
  head/devel/boost-all/compiled.mk
  head/devel/boost-docs/distinfo
  head/devel/boost-docs/pkg-plist
  head/devel/boost-jam/distinfo
  head/devel/boost-jam/files/
  head/devel/boost-libs/Makefile
  head/devel/boost-libs/distinfo
  head/devel/boost-libs/files/patch-boost_asio_detail_config.hpp
  head/devel/boost-libs/files/patch-boost_lockfree_spsc__queue.hpp
  head/devel/boost-libs/files/patch-boost_wave_cpplexer_re2clex_cpp__re.hpp
  head/devel/boost-libs/files/patch-libs_fiber_src_numa_freebsd_pin__thread.cpp
  head/devel/boost-libs/pkg-plist
  head/devel/boost-python-libs/distinfo
  head/devel/boost_build/Makefile
  head/devel/codeblocks/Makefile
  head/devel/codeblocks-devel/Makefile
  head/devel/cpp-hocon/Makefile
  head/devel/cpp-netlib/Makefile
  head/devel/cpprestsdk/Makefile
  head/devel/eblob/Makefile
  head/devel/edb/Makefile
  head/devel/gearmand/Makefile
  head/devel/gearmand-devel/Makefile
  head/devel/kdevelop/Makefile
  head/devel/kdevplatform-kde4/Makefile
  head/devel/leatherman/Makefile
  head/devel/libarea/Makefile
  head/devel/libcutl/Makefile
  head/devel/libflatarray/Makefile
  head/devel/libftdi/Makefile
  head/devel/libftdi1/Makefile
  head/devel/libiqxmlrpc/Makefile
  head/devel/libkolab/Makefile
  head/devel/liblas/Makefile
  head/devel/libopkele/Makefile
  head/devel/liborcus/Makefile
  head/devel/log4cxx/Makefile
  head/devel/love07/Makefile
  head/devel/love08/Makefile
  head/devel/love5/Makefile
  head/devel/luabind/Makefile
  head/devel/mongo-cxx-driver/Makefile
  head/devel/monotone/Makefile
  head/devel/msp430-debug-stack/Makefile
  head/devel/py-pyopencl/Makefile
  head/devel/rlvm/Makefile
  head/devel/sdts++/Makefile
  head/devel/simgear/Makefile
  head/devel/smack/Makefile
  head/devel/srecord/Makefile
  head/devel/subcommander2/Makefile
  head/devel/synfig/Makefile
  head/devel/thrift-cpp/Makefile
  head/devel/uatraits/Makefile
  head/devel/umbrello/Makefile
  head/devel/umbrello-kde4/Makefile
  head/devel/vera++/Makefile
  head/devel/vexcl/Makefile
  head/devel/xmltooling/Makefile
  head/devel/youcompleteme/Makefile
  head/dns/dnsdist/Makefile
  head/dns/powerdns/Makefile
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor40/Makefile
  head/editors/abiword/Makefile
  head/editors/calligra/Makefile
  head/editors/jucipp/Makefile
  head/editors/libreoffice/Makefile
  head/editors/madedit/Makefile
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-devel/Makefile
  head/editors/pdfedit/Makefile
  head/editors/poedit/Makefile
  head/editors/xmlcopyeditor/Makefile
  head/emulators/citra/Makefile
  head/emulators/citra-qt5/Makefile
  head/emulators/mupen64plus-video-glide64mk2/Makefile
  head/finance/gnucash/Makefile
  head/finance/kmymoney-kde4/Makefile
  head/finance/ledger/Makefile
  head/finance/moneymanagerex/Makefile
  head/finance/quantlib/Makefile
  head/games/0ad/Makefile
  head/games/alephone/Makefile
  head/games/allacrost/Makefile
  head/games/arx-libertatis/Makefile
  head/games/asc/Makefile
  head/games/bastet/Makefile
  head/games/blobby/Makefile
  head/games/burrtools/Makefile
  head/games/easyrpg-player/Makefile
  head/games/fishsupper/Makefile
  head/games/flightgear/Makefile
  head/games/flightgear-terragear/Makefile
  head/games/flyhard/Makefile
  head/games/freeorion/Makefile
  head/games/frogatto/Makefile
  head/games/galaxyhack/Makefile
  head/games/glob2/Makefile
  head/games/lander/Makefile
  head/games/mkhexgrid/Makefile
  head/games/opendungeons/Makefile
  head/games/openlierox/Makefile
  head/games/openmw/Makefile
  head/games/openyahtzee/Makefile
  head/games/pingus/Makefile
  head/games/pokerth/Makefile
  head/games/py-fife/Makefile
  head/games/scummvm-tools/Makefile
  head/games/spring/Makefile
  head/games/springlobby/Makefile
  head/games/stuntrally/Makefile
  head/games/supertux2/Makefile
  head/games/traingame/Makefile
  head/games/valyriatear/Makefile
  head/games/vamos/Makefile
  head/games/vegastrike/Makefile
  head/games/violetland/Makefile
  head/games/wesnoth/Makefile
  head/games/widelands/Makefile
  head/games/xptools/Makefile
  head/graphics/agave/Makefile
  head/graphics/appleseed/Makefile
  head/graphics/aqsis/Makefile
  head/graphics/blender/Makefile
  head/graphics/caffe/Makefile
  head/graphics/cegui/Makefile
  head/graphics/cloudcompare/Makefile
  head/graphics/colmap/Makefile
  head/graphics/digikam/Makefile
  head/graphics/digikam-kde4/Makefile
  head/graphics/dspdfviewer/Makefile
  head/graphics/enblend/Makefile
  head/graphics/evolvotron/Makefile
  head/graphics/fracplanet/Makefile
  head/graphics/gnash/Makefile
  head/graphics/gource/Makefile
  head/graphics/gsculpt/Makefile
  head/graphics/hugin/Makefile
  head/graphics/inkscape/Makefile
  head/graphics/kipi-plugin-gpssync/Makefile
  head/graphics/krita/Makefile
  head/graphics/libcdr01/Makefile
  head/graphics/libetonyek01/Makefile
  head/graphics/libgltf/Makefile
  head/graphics/libopenraw/Makefile
  head/graphics/libzmf/Makefile
  head/graphics/luminance/Makefile
  head/graphics/luminance-qt5/Makefile
  head/graphics/luxrender/Makefile
  head/graphics/mapnik/Makefile
  head/graphics/natron/Makefile
  head/graphics/ogre3d/Makefile
  head/graphics/openfx-io/Makefile
  head/graphics/openimageio/Makefile
  head/graphics/openshadinglanguage/Makefile
  head/graphics/panomatic/Makefile
  head/graphics/pcl-pointclouds/Makefile
  head/graphics/povray37/Makefile
  head/graphics/py-exiv2/Makefile
  head/graphics/py-openimageio/Makefile
  head/graphics/scantailor/Makefile
  head/graphics/vigra/Makefile
  head/graphics/yafaray/Makefile
  head/irc/ezbounce/Makefile
  head/lang/sdcc/Makefile
  head/lang/solidity/Makefile
  head/math/armadillo/Makefile
  head/math/aspcud/Makefile
  head/math/cadabra2/Makefile
  head/math/cgal/Makefile
  head/math/clblas/Makefile
  head/math/cryptominisat/Makefile
  head/math/cvc4/Makefile
  head/math/dynare/Makefile
  head/math/fityk/Makefile
  head/math/kig/Makefile
  head/math/kig-kde4/Makefile
  head/math/libmesh/Makefile
  head/math/liborigin/Makefile
  head/math/mlpack/Makefile
  head/math/mosesdecoder/Makefile
  head/math/pdal/Makefile
  head/math/piranha/Makefile
  head/math/py-piranha/Makefile
  head/math/rocs/Makefile
  head/math/rocs-kde4/Makefile
  head/math/stp/Makefile
  head/math/vowpal_wabbit/Makefile
  head/math/zegrapher/Makefile
  head/misc/artikulate/Makefile
  head/misc/ompl/Makefile
  head/multimedia/aegisub/Makefile
  head/multimedia/cclive/Makefile
  head/multimedia/din/Makefile
  head/multimedia/flvtool++/Makefile
  head/multimedia/gstreamer-qt4/Makefile
  head/multimedia/gstreamer1-qt/Makefile
  head/multimedia/miro/Makefile
  head/multimedia/mkvtoolnix/Makefile
  head/multimedia/oggvideotools/Makefile
  head/multimedia/omxplayer/Makefile
  head/multimedia/vdr-plugin-upnp/Makefile
  head/net/asio/Makefile
  head/net/calendarsupport/Makefile
  head/net/ceph/Makefile
  head/net/ceph-devel/Makefile
  head/net/eventviews/Makefile
  head/net/grive2/Makefile
  head/net/incidenceeditor/Makefile
  head/net/kdenetwork-strigi-analyzers-kde4/Makefile
  head/net/kea/Makefile
  head/net/kget-kde4/Makefile
  head/net/kimap/Makefile
  head/net/kmime/Makefile
  head/net/libcmis/Makefile
  head/net/libksieve/Makefile
  head/net/mailcommon/Makefile
  head/net/mailimporter/Makefile
  head/net/messagelib/Makefile
  head/net/pimcommon/Makefile
  head/net/pktanon/Makefile
  head/net/scribe/Makefile
  head/net/tcpflow/Makefile
  head/net/xorp/Makefile
  head/net-im/ekiga/Makefile
  head/net-im/ktp-call-ui/Makefile
  head/net-im/licq/Makefile
  head/net-im/licq-icq/Makefile
  head/net-im/licq-jabber/Makefile
  head/net-im/licq-osd/Makefile
  head/net-im/licq-qt-gui/Makefile
  head/net-mgmt/fastnetmon/Makefile
  head/net-mgmt/icinga2/Makefile
  head/net-mgmt/metronome/Makefile
  head/net-mgmt/openbmp/Makefile
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/bitcoin-daemon/Makefile
  head/net-p2p/dogecoin/Makefile
  head/net-p2p/eiskaltdcpp-daemon/Makefile
  head/net-p2p/eiskaltdcpp-gtk/Makefile
  head/net-p2p/eiskaltdcpp-lib/Makefile
  head/net-p2p/eiskaltdcpp-qt/Makefile
  head/net-p2p/ktorrent-kde4/Makefile
  head/net-p2p/libktorrent/Makefile
  head/net-p2p/libktorrent-kde4/Makefile
  head/net-p2p/libtorrent-rasterbar/Makefile
  head/net-p2p/linuxdcpp/Makefile
  head/net-p2p/litecoin/Makefile
  head/net-p2p/monero-cli/Makefile
  head/net-p2p/namecoin/Makefile
  head/net-p2p/qbittorrent/Makefile
  head/net-p2p/qtum/Makefile
  head/net-p2p/twister/Makefile
  head/net-p2p/zetacoin/Makefile
  head/print/libmspub01/Makefile
  head/print/libpagemaker/Makefile
  head/print/lyx/Makefile
  head/print/pdfcube/Makefile
  head/print/scribus/Makefile
  head/science/ALPSCore/Makefile
  head/science/avogadro/Makefile
  head/science/bddsolve/Makefile
  head/science/dft_tools/Makefile
  head/science/gromacs/Makefile
  head/science/iboview/Makefile
  head/science/libgeodecomp/Makefile
  head/science/libkml/Makefile
  head/science/openstructure/Makefile
  head/science/pulseview/Makefile
  head/science/rdkit/Makefile
  head/science/rmf/Makefile
  head/science/tfel/Makefile
  head/science/triqs/Makefile
  head/security/botan110/Makefile
  head/security/botan2/Makefile
  head/security/clamfs/Makefile
  head/security/i2pd/Makefile
  head/security/kleopatra/Makefile
  head/security/opensaml/Makefile
  head/security/quantis/Makefile
  head/security/shibboleth-sp/Makefile
  head/security/spass/Makefile
  head/sysutils/condor/Makefile
  head/sysutils/facter/Makefile
  head/sysutils/freefilesync/Makefile
  head/sysutils/glogg/Makefile
  head/sysutils/kf5-kwallet/Makefile
  head/sysutils/logstalgia/Makefile
  head/sysutils/ori/Makefile
  head/sysutils/osquery/Makefile
  head/sysutils/twmn/Makefile
  head/sysutils/usbtop/Makefile
  head/textproc/clucene/Makefile
  head/textproc/highlight/Makefile
  head/textproc/kenlm/Makefile
  head/textproc/kiss-templates/Makefile
  head/textproc/libabw/Makefile
  head/textproc/libe-book/Makefile
  head/textproc/libepubgen/Makefile
  head/textproc/libkolabxml/Makefile
  head/textproc/libmwaw03/Makefile
  head/textproc/libqxp/Makefile
  head/textproc/librevenge/Makefile
  head/textproc/libstaroffice/Makefile
  head/textproc/libvisio01/Makefile
  head/textproc/libwps03/Makefile
  head/textproc/luceneplusplus/Makefile
  head/textproc/randlm/Makefile
  head/textproc/source-highlight/Makefile
  head/textproc/xmlwrapp/Makefile
  head/www/anyterm/Makefile
  head/www/domoticz/Makefile
  head/www/kdewebdev-kde4/Makefile
  head/www/nghttp2/Makefile
  head/www/osrm-backend/Makefile
  head/www/wt/Makefile
  head/x11/kde-workspace-kde4/Makefile
  head/x11/kf5-kactivities/Makefile
  head/x11/kf5-kactivities-stats/Makefile
  head/x11/leechcraft/Makefile
  head/x11/plasma5-plasma-desktop/Makefile
  head/x11-toolkits/flowcanvas/Makefile